# StringLogger
<span class="source-link">[[Source]](src/logger/logger.md#L134)</span>
```pony
primitive val StringLogger
```

## Constructors

### create
<span class="source-link">[[Source]](src/logger/logger.md#L134)</span>


```pony
new val create()
: StringLogger val^
```

#### Returns

* [StringLogger](logger-StringLogger) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/logger/logger.md#L135)</span>


```pony
fun box apply(
  level: (Fine val | Info val | Warn val | 
    Error val),
  out: OutStream tag,
  formatter: LogFormatter val = seq)
: Logger[String val] val
```
#### Parameters

*   level: ([Fine](logger-Fine) val | [Info](logger-Info) val | [Warn](logger-Warn) val | 
    [Error](logger-Error) val)
*   out: [OutStream](builtin-OutStream) tag
*   formatter: [LogFormatter](logger-LogFormatter) val = seq

#### Returns

* [Logger](logger-Logger)\[[String](builtin-String) val\] val

---

### eq
<span class="source-link">[[Source]](src/logger/logger.md#L135)</span>


```pony
fun box eq(
  that: StringLogger val)
: Bool val
```
#### Parameters

*   that: [StringLogger](logger-StringLogger) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/logger/logger.md#L135)</span>


```pony
fun box ne(
  that: StringLogger val)
: Bool val
```
#### Parameters

*   that: [StringLogger](logger-StringLogger) val

#### Returns

* [Bool](builtin-Bool) val

---

